From 82cb5814a8ff3e91ba1baf909cb985fb7c95303d Mon Sep 17 00:00:00 2001
From: Tim Daly <daly@axiom-developer.org>
Date: Tue, 19 May 2015 10:22:50 -0400
Subject: [PATCH] src/interp/vmlisp.lisp remove define-macro

No longer needed.
---
 changelog                        |    3 +++
 patch                            |    4 ++--
 src/axiom-website/patches.html   |    2 ++
 src/interp/sys-pkg.lisp.pamphlet |    9 ---------
 src/interp/vmlisp.lisp.pamphlet  |    6 ------
 5 files changed, 7 insertions(+), 17 deletions(-)

diff --git a/changelog b/changelog
index 927f485..a5eee9b 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20150519 tpd src/axiom-website/patches.html 20150519.03.tpd.patch 
+20150519 tpd src/interp/sys-pkg.lisp remove define-macro
+20150519 tpd src/interp/vmlisp.lisp remove define-macro
 20150519 tpd src/axiom-website/patches.html 20150519.02.tpd.patch 
 20150519 tpd Makefile clean up dangling files
 20150519 tpd src/axiom-website/patches.html 20150519.01.tpd.patch 
diff --git a/patch b/patch
index dfc2374..4a615af 100644
--- a/patch
+++ b/patch
@@ -1,3 +1,3 @@
-Makefile clean up dangling files
+src/interp/vmlisp.lisp remove define-macro
 
-There were some files that escaped the 'clean' step.
+No longer needed.
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 8d24ad6..fd64ff7 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -5066,6 +5066,8 @@ src/interp/vmlisp.lisp remove spaddifference<br/>
 src/interp/vmlisp.lisp remove |equal|, evalandfileactq<br/>
 <a href="patches/20150519.02.tpd.patch">20150519.02.tpd.patch</a>
 Makefile clean up dangling files<br/>
+<a href="patches/20150519.03.tpd.patch">20150519.03.tpd.patch</a>
+src/interp/vmlisp.lisp remove define-macro<br/>
  </body>
 </html>
 
diff --git a/src/interp/sys-pkg.lisp.pamphlet b/src/interp/sys-pkg.lisp.pamphlet
index 1c22d82..6e963f7 100644
--- a/src/interp/sys-pkg.lisp.pamphlet
+++ b/src/interp/sys-pkg.lisp.pamphlet
@@ -20,10 +20,6 @@ from the environment.
 \begin{chunk}{GCL.GETENV}
 #+:GCL   SYSTEM:GETENV
 \end{chunk}
-\subsubsection{DEFINE-MACRO}
-\begin{chunk}{GCL.DEFINE-MACRO}
-#+:GCL    SYSTEM:DEFINE-MACRO 
-\end{chunk}
 \subsubsection{PNAME}
 \begin{chunk}{GCL.PNAME}
 #+:GCL    SYSTEM:PNAME
@@ -321,12 +317,10 @@ provides support for compiler code.
 ;;; Definitions for package VMLISP of type EXPORT
 (lisp:in-package "VMLISP")
 (lisp:import '(
-\getchunk{GCL.DEFINE-MACRO}
 \getchunk{GCL.PNAME}
           BOOT:|directoryp|))
 (lisp:export
     '(VMLISP::SINTP VMLISP::$FCOPY 
-\getchunk{GCL.DEFINE-MACRO}
 \getchunk{GCL.PNAME}
          VMLISP::PUT VMLISP::DIGITS-BY-RADIX
          VMLISP::QVELT-1 VMLISP::QSETVELT-1 vmlisp::throw-protect
@@ -458,9 +452,6 @@ provides support for compiler code.
 (lisp:export '(boot::eqcar))
 
 ;;; Definitions for package VMLISP of type SHADOW
-(lisp:in-package "VMLISP")
-(lisp:import '(SYSTEM::DEFINE-MACRO SYSTEM::PNAME))
-
 
 (in-package "BOOT") ;; Used to be "UNCOMMON"
 
diff --git a/src/interp/vmlisp.lisp.pamphlet b/src/interp/vmlisp.lisp.pamphlet
index 0b69af2..8f558d7 100644
--- a/src/interp/vmlisp.lisp.pamphlet
+++ b/src/interp/vmlisp.lisp.pamphlet
@@ -70,9 +70,6 @@ documentclass{article}
 (defmacro dcq (&rest args)
  (cons 'setqp args))
 
-(defmacro define-macro (f v)
- `(setf (macro-function ,f) (macro-function ,v)))
-
 (defmacro dsetq (&whole form pattern exp)
  (dodsetq form pattern exp))
 
@@ -94,9 +91,6 @@ documentclass{article}
 (defmacro eqq (pattern exp)
  `(,(ecqexp pattern nil) ,exp))
 
-(defmacro evalandfileactq (name &optional (form name))
- `(eval-when (eval load) ,form))  
-
 (defmacro exit (&rest value)
  `(return-from seq ,@value))
 
-- 
1.7.5.4

